Subject: [Cellar] Top-Level Elements

From: Dave Rice <[email-masked]>
Date: Sun, 13 Mar 2016 13:24:30 -0400

There are several places where “Top-Level Elements” are referred to in the Matroska specification documents, but it’s not defined. In XML the Top-Level Element is the node at Level 0, but in Matroska’s environment the Level 0 Element is the Root Element and the Level 1 Elements are the Top-Level Elements.

To clarify I added this line to the EBML spec:
> Elements defined to only occur at Level 1 are known as Top-Level Elements.

I used the term ‘only’ because CRC-32 and Void are allowed to occur there but I wouldn’t consider them Top-Level Elements since they may freely occur in other levels.

Also in a few places where Level 0 and Level 1 Elements were referenced, I updated the references to use the terms Root Element and Top-Level Elements instead.

Here’s the PR for the EBML Spec:
https://github.com/Matroska-Org/ebml-specification/pull/60

And updating some language in Matroska’s EBML Schema:
https://github.com/MediaArea/matroska-foundation-source/commit/9c3245873ef5eacb2a96b854169b0d7f513fdccd

Dave Rice